Subject: debian-architecture for kernel,modules

From: [email-masked] (Miro Torrielli)
Date: Wed, 11 Sep 1996 16:34:41 +0200 (MET DST)

Could someone, preferably the kernel maintainer, tell me
what the debian specific changes are to the kernel and
module architecture compared to say, slackware or redhat?
Firstly, the debian-kernel-image 2.0.6 provided on the ftp
sites is broken, even though in the stable tree. When I
install it, it tries to update the psdatabase in /boot,
not in /etc. Once the image installed, the modules seem
broken. The dependencies are screwed, so kerneld and modprobe
can't do their work. I have to manually insmod, for example,
first slhc, then slip, because if I try to insmod slip first,
I get "xxxx undefined" etc.etc.

As a remedy, I got the latest kernel (2.0.18) and thought of
doing a nice, new fresh install. I therefore compiled the kernel
and modules as I have always done under slackware and redhat,
rebooted, and got the same problems as before. I am going bananas!
On my other debian box, I somehow fixed this problem, but I have
no idea how. It seems as if one day, it started loading modules
well again.
In conclusion, I feel that the kernel maintainer must be doing
something strange. He has already made changes to the /usr/include/
linux, asm, and scsi architecture, something which I believe is
uneccessary and confusing for some people, and which causes some
grief when trying to compile dosemu and other programs which rely
on the latest kernel includes.

Sincerely,
Miro